%define upstream_name	 POE-Component-Server-SimpleHTTP
%define	upstream_version 2.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:   	Perl extension to serve HTTP requests in POE
License:   	Artistic and GPL+	
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(MooseX::POE)
BuildRequires:  perl(POE::API::Peek)
BuildRequires:  perl(POE::Filter::HTTP::Parser)
BuildRequires:  perl(Test::POE::Client::TCP)
BuildRequires:  perl(YAML)

BuildArch:	noarch

%description
POE::Component::Server::SimpleHTTP makes serving up HTTP requests a breeze in POE.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes n | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/POE
%{_mandir}/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.160.0-3.mga3
+ Revision: 371277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 pterjan <pterjan> 2.160.0-2.mga3
+ Revision: 315364
- Fix description and summary

* Tue Nov 06 2012 pterjan <pterjan> 2.160.0-1.mga3
+ Revision: 315358
- imported package perl-POE-Component-Server-SimpleHTTP

